模型参数
- 模型ID:
vidu-q1 - 模型价格:你可以在模型广场查看最新价格信息
- 调用入口:
https://geekai.co/api/v1/videos/generations - 模型参数:参考视频 API 手册
- API认证:获取 API KEY
只有文生视频才支持
aspect_ratio这个参数,可选值为:16:9, 9:16, 1:1
同样支持Base64 编码的图像,在image里面ge’字段中填写图片的base64编码即可
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
vidu-q1https://geekai.co/api/v1/videos/generationsaspect_ratio这个参数,可选值为:16:9, 9:16, 1:1
同样支持Base64 编码的图像,在image里面ge’字段中填写图片的base64编码即可
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "vidu-q1",
"prompt": "彼得兔开小汽车,游走在马路上,脸上的表情充满开心喜悦",
"size": "1920x1080",
"aspect_ratio": "16:9",
"extra_body": {
"style": "anime",
"movement_amplitude": "auto"
}
}'
{
"model": "vidu-q1",
"task_id": "3a9faeae-0a7c-4a34-81d1-72b81e759d44",
"task_status": "succeed",
"video_result": [
{
"id": "aa26c3e7-6afa-426d-87d4-dbe4fceeaac2",
"url": "https://static.geekai.co/video/2026/02/24/b8c128e5ba1945a717be1c5a40a2df4f.mp4"
}
]
}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "vidu-q1",
"prompt": "无人机以极快速度穿越复杂障碍或自然奇观,带来沉浸式飞行体验",
"image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_i2v.png",
"size": "1920x1080",
"extra_body": {
"movement_amplitude": "auto"
}
}'
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "vidu-q1",
"prompt": "让画面动起来",
"image": [ "https://cdn.bigmodel.cn/markdown/1752547801491cogvideo4.png", "https://cdn.bigmodel.cn/markdown/1752547813297cogvideo5.png" ],
"size": "1920x1080",
"with_audio": true,
"extra_body": {
"movement_amplitude": "auto"
}
}'
此页面对您有帮助吗?
